Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.jprofiler.api.platform.parameters
Enum ThreadStatus

    java.lang.Object
      java.lang.Enum<ThreadStatus>
          com.jprofiler.api.platform.parameters.ThreadStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ThreadStatus>

    public enum ThreadStatus

extends java.lang.Enum<ThreadStatus>

Represents all supported thread statuses.

These constants are used as parameters in various `Connection` methods.

Enum Constant Summary
`ALL` All thread statuses.
`BLOCKING` Only when the thread is blocking.
`NET_IO` Only when the thread is waiting for the network to accept or deliver data.
`RUNNING` Only when the thread is running.
`SLEEPING` Only when the thread is sleeping.

Method Summary
`java.lang.String` | `getName()` Returns a verbose description of the thread status.
`java.lang.String` | `toString()`
`static ThreadStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ThreadStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final ThreadStatus ALL

  All thread statuses.

### RUNNING

    public static final ThreadStatus RUNNING

  Only when the thread is running. More precisely if the thread is eligible to run, including the times when the scheduler of the operating system does not allocate CPU time to the thread.

### SLEEPING

    public static final ThreadStatus SLEEPING

  Only when the thread is sleeping. This happens when a thread calls `Object.wait()` or uses corresponding facilities of `java.util.concurrent`.

### BLOCKING

    public static final ThreadStatus BLOCKING

  Only when the thread is blocking. This happens when a thread tries to enter a contended `synchronized` method or block or uses corresponding facilities of `java.util.concurrent`.

### NET_IO

    public static final ThreadStatus NET_IO

  Only when the thread is waiting for the network to accept or deliver data.

Method Detail

### values

    public static ThreadStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ThreadStatus c : ThreadStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ThreadStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns a verbose description of the thread status.

  Returns:
    the verbose description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ThreadStatus>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD